//BMW 2002 tii +tiiS suspension by 51!N

// Body including all rigidly attached parts (wings, barge boards, etc.)
[BODY]
name=body mass=(970.0) inertia=(1029,1311,281)
pos=(0.0,0.00,0.0) ori=(0.0,0.0,0.0)

// Front spindles
[BODY]
name=fl_spindle mass=(14.2) inertia=(0.0275,0.0260,0.0245)
pos=(0.674,0.0,-1.40) ori=(0.0,0.0,0.0)

[BODY]
name=fr_spindle mass=(14.2) inertia=(0.0275,0.0260,0.0245)
pos=(-0.724,0.0,-1.40) ori=(0.0,0.0,0.0)

// Front wheels
[BODY]
name=fl_wheel mass=(22.0) inertia=(0.980,0.755,0.755)
pos=(0.724,0.0,-1.40) ori=(0.0,0.0,0.0)

[BODY]
name=fr_wheel mass=(22.0) inertia=(0.980,0.755,0.755)
pos=(-0.724,0.0,-1.40) ori=(0.0,0.0,0.0)

// Rear spindles
[BODY]
name=rl_spindle mass=(15.0) inertia=(0.0280,0.0270,0.0250)
pos=(0.73,0.0,1.15) ori=(0.0,0.0,0.0)

[BODY]
name=rr_spindle mass=(15.0) inertia=(0.0280,0.0270,0.0250)
pos=(-0.73,0.0,1.15) ori=(0.0,0.0,0.0)

// Rear wheels (includes half of rear-axle)
[BODY]
name=rl_wheel mass=(25.0) inertia=(1.250,0.860,0.860)
pos=(0.73,0.0,1.15) ori=(0.0,0.0,0.0)

[BODY]
name=rr_wheel mass=(25.0) inertia=(1.250,0.860,0.860)
pos=(-0.73,0.0,1.15) ori=(0.0,0.0,0.0)

// Fuel in tank is not rigidly attached - it is attached with springs and
// dampers to simulate movement.  Properties are defined in the HDV file.

[BODY]
name=fuel_tank mass=(1.0) inertia=(1.0,1.0,1.0)
pos=(0.0,0.0,0.0) ori=(0.0,0.0,0.0)



[BODY]
name=driver_head mass=(5.0) inertia=(0.02,0.02,0.02)
pos=(0.0,0.0,0.0) ori=(0.0,0.0,0.0)



// Front wheel and spindle connections
[JOINT&HINGE]
posbody=fl_wheel negbody=fl_spindle pos=fl_wheel axis=(-0.495,0.0,0.0)

[JOINT&HINGE]
posbody=fr_wheel negbody=fr_spindle pos=fr_wheel axis=(0.495,0.0,0.0)

// Front left suspension (2 A-arms + 1 steering arm = 5 links)
[BAR] // forward upper arm
name=fl_fore_upper posbody=body negbody=fl_spindle pos=(0.310,0.150,-1.60) neg=(0.598,0.198,-1.400)

[BAR] // rearward upper arm
posbody=body negbody=fl_spindle pos=(0.310,0.150,-1.40) neg=(0.598,0.198,-1.400)

[BAR] // forward lower arm
posbody=body negbody=fl_spindle pos=(0.270,-0.170,-1.65) neg=(0.598,-0.169,-1.40)

[BAR] // rearward lower arm
name=fl_fore_lower posbody=body negbody=fl_spindle pos=(0.270,-0.170,-1.40) neg=(0.598,-0.169,-1.40)

[BAR] // steering arm (must be named for identification)
name=fl_steering posbody=body negbody=fl_spindle pos=(0.342,-0.104,-1.265) neg=(0.600,-0.088,-1.272)

// Front right suspension (2 A-arms + 1 steering arm = 5 links)
[BAR] // forward upper arm (used in steering lock calculation)
name=fr_fore_upper posbody=body negbody=fr_spindle pos=(-0.310,0.150,-1.60) neg=(-0.598,0.198,-1.400)

[BAR] // rearward upper arm
posbody=body negbody=fr_spindle pos=(-0.310,0.150,-1.40) neg=(-0.598,0.198,-1.400)

[BAR] // forward lower arm
name=fr_fore_lower posbody=body negbody=fr_spindle pos=(-0.270,-0.170,-1.65) neg=(-0.598,-0.169,-1.40)

[BAR] // rearward lower arm
posbody=body negbody=fr_spindle pos=(-0.270,-0.170,-1.40) neg=(-0.598,-0.169,-1.40)

[BAR] // steering arm (must be named for identification)
name=fr_steering posbody=body negbody=fr_spindle pos=(-0.342,-0.104,-1.265) neg=(-0.600,-0.088,-1.272)


// Rear left suspension (2 A-arms + 1 Tie Rod = 5 links)
[BAR] // forward upper arm
posbody=body negbody=rl_spindle pos=(0.500,-0.0,0.765) neg=(0.6250,0.1350,1.150)

[BAR] // rearward upper arm
posbody=body negbody=rl_spindle pos=(0.180,-0.015,0.850) neg=(0.6250,0.1350,1.150)

[BAR] // forward lower arm
posbody=body negbody=rl_spindle pos=(0.500,-0.0,0.765) neg=(0.6250,-0.100,1.150)

[BAR] // rearward lower arm
posbody=body negbody=rl_spindle pos=(0.180,-0.015,0.850) neg=(0.6250,-0.100,1.150)

[BAR] // Tie Rod
posbody=body negbody=rl_spindle pos=(0.180,-0.015,0.850) neg=(0.6250,0.0,1.250)

// Rear right suspension (2 A-arms + 1 Tie Rod = 5 links)
[BAR] // forward upper arm
posbody=body negbody=rr_spindle pos=(-0.500,-0.0,0.765) neg=(-0.6250,0.135,1.150)

[BAR] // rearward upper arm
posbody=body negbody=rr_spindle pos=(-0.180,-0.015,0.850) neg=(-0.6250,0.135,1.150)

[BAR] // forward lower arm
posbody=body negbody=rr_spindle pos=(-0.500,-0.0,0.765) neg=(-0.6250,-0.100,1.150)

[BAR] // rearward lower arm
posbody=body negbody=rr_spindle pos=(-0.180,-0.015,0.850) neg=(-0.6250,-0.100,1.150)

[BAR] // Tie Rod
posbody=body negbody=rr_spindle pos=(-0.180,-0.015,0.850) neg=(-0.6250,0.0,1.250)

// Rear spindle and wheel connections
[JOINT&HINGE]
posbody=rl_wheel negbody=rl_spindle pos=rl_wheel axis=(-1.0,0.0,0.0)

[JOINT&HINGE]
posbody=rr_wheel negbody=rr_spindle pos=rr_wheel axis=(1.0,0.0,0.0)




